apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "2"
    field.cattle.io/description: postgreql for ujse component
    field.cattle.io/publicEndpoints: '[{"port":31907,"protocol":"TCP","serviceName":"ujse-dev:ujse-postgresql-nodeport","allNodes":true}]'
  creationTimestamp: "2022-03-24T15:23:59Z"
  generation: 3
  labels:
    workload.user.cattle.io/workloadselector: apps.deployment-ujse-dev-ujse-postgresql
  managedFields:
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:field.cattle.io/description: {}
          f:field.cattle.io/publicEndpoints: {}
        f:labels:
          .: {}
          f:workload.user.cattle.io/workloadselector: {}
      f:spec:
        f:progressDeadlineSeconds: {}
        f:replicas: {}
        f:revisionHistoryLimit: {}
        f:selector: {}
        f:strategy:
          f:rollingUpdate:
            .: {}
            f:maxSurge: {}
            f:maxUnavailable: {}
          f:type: {}
        f:template:
          f:metadata:
            f:annotations:
              .: {}
              f:cattle.io/timestamp: {}
            f:labels:
              .: {}
              f:workload.user.cattle.io/workloadselector: {}
          f:spec:
            f:affinity: {}
            f:containers:
              k:{"name":"container-0"}:
                .: {}
                f:env:
                  .: {}
                  k:{"name":"POSTGRES_DB"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"POSTGRES_PASSWORD"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"POSTGRES_USER"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:ports:
                  .: {}
                  k:{"containerPort":5432,"protocol":"TCP"}:
                    .: {}
                    f:containerPort: {}
                    f:name: {}
                    f:protocol: {}
                f:resources: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
                f:volumeMounts:
                  .: {}
                  k:{"mountPath":"/var/lib/postgresql/data"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:subPath: {}
            f:dnsConfig: {}
            f:dnsPolicy: {}
            f:hostAliases:
              .: {}
              k:{"ip":"172.26.41.211"}:
                .: {}
                f:hostnames: {}
                f:ip: {}
            f:restartPolicy: {}
            f:schedulerName: {}
            f:securityContext: {}
            f:terminationGracePeriodSeconds: {}
            f:volumes:
              .: {}
              k:{"name":"ujse-postgresql"}:
                .: {}
                f:name: {}
                f:persistentVolumeClaim:
                  .: {}
                  f:claimName: {}
    manager: rancher
    operation: Update
    time: "2022-07-13T06:03:16Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:deployment.kubernetes.io/revision: {}
      f:status:
        f:conditions:
          .: {}
          k:{"type":"Available"}:
            .: {}
            f:type: {}
          k:{"type":"Progressing"}:
            .: {}
            f:lastTransitionTime: {}
            f:lastUpdateTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
        f:observedGeneration: {}
    manager: kube-controller-manager
    operation: Update
    time: "2022-10-06T14:29:10Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:availableReplicas: {}
        f:conditions:
          k:{"type":"Available"}:
            f:lastTransitionTime: {}
            f:lastUpdateTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
        f:readyReplicas: {}
        f:replicas: {}
        f:updatedReplicas: {}
    manager: kube-controller-manager
    operation: Update
    subresource: status
    time: "2022-10-06T14:38:59Z"
  name: ujse-postgresql
  namespace: ujse-dev
  resourceVersion: "160830546"
  uid: 74f46a80-88bc-4e5c-aadf-eb64a8beb09b
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      workload.user.cattle.io/workloadselector: apps.deployment-ujse-dev-ujse-postgresql
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      annotations:
        cattle.io/timestamp: "2022-07-13T06:03:16Z"
      creationTimestamp: null
      labels:
        workload.user.cattle.io/workloadselector: apps.deployment-ujse-dev-ujse-postgresql
    spec:
      affinity: {}
      containers:
      - env:
        - name: POSTGRES_DB
          value: ujse
        - name: POSTGRES_USER
          value: postgres
        - name: POSTGRES_PASSWORD
          value: "12345"
        image: postgres:14.2
        imagePullPolicy: IfNotPresent
        name: container-0
        ports:
        - containerPort: 5432
          name: ujse-postgresql
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /var/lib/postgresql/data
          name: ujse-postgresql
          subPath: ujse-postgresql-volume
      dnsConfig: {}
      dnsPolicy: ClusterFirst
      hostAliases:
      - hostnames:
        - across.digital.tecnalia.dev
        ip: 172.26.41.211
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - name: ujse-postgresql
        persistentVolumeClaim:
          claimName: ujse-postgresql-pv-claim
status:
  availableReplicas: 1
  conditions:
  - lastTransitionTime: "2022-03-24T15:23:59Z"
    lastUpdateTime: "2022-07-13T06:03:40Z"
    message: ReplicaSet "ujse-postgresql-9858794fc" has successfully progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  - lastTransitionTime: "2022-10-06T14:38:59Z"
    lastUpdateTime: "2022-10-06T14:38:59Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  observedGeneration: 3
  readyReplicas: 1
  replicas: 1
  updatedReplicas: 1
